import { defineConfig, loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'
import tailwindcss from '@tailwindcss/vite'

export default defineConfig(({ mode }) => {
  // 加载环境变量
  const env = loadEnv(mode, process.cwd(), '')

  return {
    plugins: [vue(), tailwindcss()],
    server: {
      port: 3006,
      open: true
    },
    define: {
      // 将环境变量暴露给客户端
      __APP_ENV__: JSON.stringify(env)
    },
    build: {
      target: 'esnext'
    }
  }
})
